Bug 1983366 - F35FailsToInstall: python3-opentelemetry-ext-flask, python3-opentelemetry-ext-jinja2
Summary: F35FailsToInstall: python3-opentelemetry-ext-flask, python3-opentelemetry-ext...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-opentelemetry
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Beasley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-07-17 23:36 UTC by Miro Hrončok
Modified: 2021-08-09 02:42 UTC (History)
1 user (show)

Fixed In Version: python-opentelemetry-1.4.1-2.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-07 18:52:48 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2021-07-17 23:36:32 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (python-opentelemetry) Fails To Install in Fedora 35:

can't install python3-opentelemetry-ext-flask:
  - nothing provides (python3.10dist(flask) >= 1 with python3.10dist(flask) < 2) needed by python3-opentelemetry-ext-flask-0.8.0-6.fc35.noarch
  
can't install python3-opentelemetry-ext-jinja2:
  - nothing provides (python3.10dist(jinja2) >= 2.7 with python3.10dist(jinja2) < 3) needed by python3-opentelemetry-ext-jinja2-0.8.0-6.fc35.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Major Hayden 🤠 2021-07-19 13:17:56 UTC
Upstream doesn't allow Flask 2.x, but after patching the requirement, all tests pass and the RPMs install within rawhide. 👍🏻

https://koji.fedoraproject.org/koji/taskinfo?taskID=72186848

Comment 2 Major Hayden 🤠 2021-07-20 16:38:05 UTC
Disregard that last comment -- I meant that for another package.

It looks like opentelemetry's upstream has removed some packages and moved a bunch to another repository with an unusual directory structure. Luckily, all of these are published to pypi, so they could be broken into indvidiual packages pretty easily. I may go down that road and see how it goes.

Comment 3 Fedora Admin user for bugzilla script actions 2021-07-21 00:13:47 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 4 Miro Hrončok 2021-07-22 09:41:01 UTC
This package has been orphaned.

You can pick it up at https://src.fedoraproject.org/rpms/python-opentelemetry by clicking button "Take". If nobody picks it up, it will be retired and removed from a distribution.

Comment 5 Ben Beasley 2021-08-03 18:46:18 UTC
The upstream has split into https://github.com/open-telemetry/opentelemetry-python and https://github.com/open-telemetry/opentelemetry-proto.

I have taken this package with the intent to retire it for F35, obsoleting it with a new opentelemetry-proto/python3-opentelemetry-proto package—which I need for the latest python-xds-protos—and leaving the Python API/SDK unpackaged. I will link that review request here when it is ready.

However, I am happy to offer this package to anyone who wants to unretire it for the purpose of packaging the latest https://github.com/open-telemetry/opentelemetry-python in a way that is compatible with the upcoming opentelemetry-proto package.

Comment 6 Ben Beasley 2021-08-03 21:34:50 UTC
I may be keeping this package around and updating it instead of retiring it, since the setup.py etc. for the Python proto bindings lives here and not in https://github.com/open-telemetry/opentelemetry-proto. I’ll look into it further.

Comment 7 Fedora Admin user for bugzilla script actions 2021-08-04 00:09:27 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 8 Miro Hrončok 2021-08-04 09:22:08 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 9 Fedora Update System 2021-08-07 18:51:54 UTC
FEDORA-2021-dd5878da9c has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-dd5878da9c

Comment 10 Fedora Update System 2021-08-07 18:52:48 UTC
FEDORA-2021-dd5878da9c has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.